Subject: Re: [PATCH v5 2/5] read-cache: load cache extensions on a worker thread

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Sep 2018 10:19:44 -0700

Duy Nguyen <[email-masked]> writes:

> On Sat, Sep 15, 2018 at 12:22 PM Duy Nguyen <[email-masked]> wrote:
>> Wait there's no way to disable this parallel reading? Does not sound
>> right. And  if ordinary numbers mean the number of threads then 0
>> should mean no threading. Auto detection could have a new keyword,
>> like 'auto'.
>
> My bad. Disabling threading means _1_ thread. What was I thinking...

I did the same during my earlier review.  It seems that it somehow
is unintuitive to us that we do not specify how many _extra_ threads
of control we dedicate to ;-).